@import '../styles/functions/rem.scss';
@import '../styles/theme.scss';

.page {
    .content {
        width: 100%;
        ul {
            width: 100%;
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;

            li {
                position: relative;
                flex-basis: 49.5%;
                box-sizing: border-box;
                margin-bottom: 1%;
                background: linear-gradient(to top, $background-color, $secondary-color);

                @include rem-fallback(padding, 0,5,5,5);
                @include rem-fallback(height, 400);

                &:nth-child(even){
                    margin-left: 0.5%;
                }

                &:nth-child(odd){
                    margin-right: 0.5%;
                }
                
                .image {
                    position: absolute;
                    top: 0;
                    left: 0;
                    right: 0;
                    filter: grayscale(40%);
                    @include rem-fallback(padding,5,5,5,5);

                    @include rem-fallback(height, 300);

                    &:hover {
                        filter: none;
                    }

                    a {
                        > div {
                            width: 100%;
                            height: 100%;
                        }
                    }                    
                }

                .info {
                    position: absolute;
                    bottom: 0;
                    left: 0;
                    right: 0;
                    background-color:$alt-color;
                    box-sizing: border-box;
                    @include rem-fallback(height, 100);
                    @include rem-fallback(padding, 20);

                    .date {
                        color: $secondary-color;
                        @include rem-fallback(padding-bottom, 15);
                    }

                    .title {
                        font-weight: bold;
                        text-transform: capitalize;
                        @include rem-fallback(font-size, 24);

                        a {
                            color: $primary-color;
                            text-decoration: none;

                            &:hover{
                                color: $secondary-color;
                            }
                        }
                    }

                    .date, .title {
                        text-shadow: 1px 1px 1px #000000;
                    }
                }
            }
        }
    }
}

@media all and (max-width: 1366px) { 
    .page {
        .content {
            ul {
    
                li {
                    flex-basis: 100%;
    
                    @include rem-fallback(height, 300);
    
                    &:nth-child(even){
                        margin-left: 0;
                    }
    
                    &:nth-child(odd){
                        margin-right: 0;
                    }
                    
                    .image {  
                        @include rem-fallback(height, 200);              
                    }
    
                    .info {
                    }
                }
            }
        }
    }
}

@media (max-width: 414px) { 
    .page {
        .content {
            ul {
                li {
                    margin-bottom: 5%;

                    .info {
                        @include rem-fallback(padding, 10);
                    }
                }
            }
        }
    }
}